﻿.lineaNormal {
	background: #F5F5F5;
	white-space: nowrap;
}
	.lineaNormal td {
		white-space: nowrap;
	}

.lineaCompleta {
    font-size:10px;
    /*white-space: nowrap;*/
    /*text-overflow: initial;*/
    /*word-wrap: normal;*/
}
    .lineaCompleta span {
        font-size: 10px;
        /*white-space: normal;*/
        /*word-wrap: normal;*/
        /*text-overflow: initial;*/
    }    
.lineaSeleccionada {
    background: gray;
    white-space: nowrap;
    color: white;
}
    .lineaSeleccionada td {
        white-space: nowrap;
        color: white;
    }
.lineaAlerta {
	background: #F5F5F5;
}
.tituloListado {
    height: 30px;
}
    .tituloListado a {
        color:white;    
    }
    .tituloListado td, .tituloListado th {        
        text-align: left;        
        background-color: #828c95;
        color: #FFFFFF;
        text-decoration: none;        
        padding-left:20px;
    }
	.tituloListado td:first-child .tituloListado th:first-child {
		font-weight: bold;
	}
.tablaReporte {
    border-collapse: collapse; 
    width:100%;
}
    .tablaReporte td
    {
        display:block;
        border: 0px;        
        font-size:12px;        
        vertical-align: middle;
        padding-left:20px;
        padding-right:10px;
    }
    .tablaReporte td:first-child {
        padding-top:8px;
        padding-left:10px;
        font-weight:bold;
    }
    .tablaReporte td:last-child {
        padding-bottom:8px;
    }
    .tablaReporte tr {                
        color:black;        
        border-color: #CCCCCC;
        border-style: solid;
        border-width: 0px 1px 1px 1px;
        transition:0.25s;
        cursor:pointer;
    }
    .tablaReporte tr:active {
        text-decoration: none;
        background-position: center -68px;
        background-color: #6a8aa8;
        color: white;
    }
    .tablaReporte .estadoConsumible {
        display:block;
        width:100%;
    }
    .tablaReporte .colorAmarillo {
        background-color: orange;
    }
    .tablaReporte .colorRojo {
        background-color: #7F0000;
    }
    .tablaReporte .colorNaranja {
        background-color: #e65c00;
    }
/*Buscar*/
#tablaFiltros {
    padding: 5px 10px 5px 10px;
}
#tablaBuscar {
    width: 100%;
    padding-top: 5px;
}
.tablaFiltrar {
    
}
    #tablaBuscar::before {
        content: '';
        vertical-align: top;
        height: 100%;
    }

#tablaBuscar input[type=text] {
    width:90%;
    margin: 0px 5px 5px 0px;
}    
    #tablaBuscar input[type=submit] {
        margin-right: 5px;
    }
	.tablaFiltrar select {
		width: 100%;
	}
.tablaFiltrar {
    display: flex;
    align-items: center;
}
tr .pager-row td
{
    border-top:solid 2px #bbd9ee;
}
    .pager
    {
        font-family:arial,sans-serif;
        text-align:left;
        padding:6px;
    }
    .pager span.command,
    .pager span.current,
    .pager a.command,
    tr.pager-row td a
    {
        color:#5a90ce;
        padding:0px 12px;
        text-decoration:none;
        border:none;
    }
    .pager a.command:hover,
    tr.pager-row td a:hover
    {
        border:solid 2px #408BB6;
        background-color:#59A5D1;
        color:#fff;
        padding:0px 10px;
        text-decoration:none;
    }
    .pager span.current,
    tr.pager-row td span
    {
	    border:solid 2px #3c3c3c;
        background-color:#3e3e3e;
        color:#fff;
        font-weight:bold;
        padding:0px 10px;
    }
    tr.pager-row td
    {
	    border-top:none;
	    text-align:left;
    }
    tr.pager-row table
    {
	    height:10px;
	    
    }

@media only screen and (min-width: 600px) {	
	.tituloListado td, .tituloListado th {
		font-weight: bold;
		white-space: normal;
	}
	.tablaReporte {
		width: auto;
		min-width: 500px;
	}
    .tablaReporte td {
        display:table-cell;
        padding: 8px 10px 8px 5px;
        white-space:nowrap;
        overflow:hidden;
        text-overflow:ellipsis;
        max-width:210px;
    }
    .tablaReporte td:first-child {
        font-weight: normal;
        padding-left:5px;
        border-left: 1px #CCCCCC solid;        
    }
    .tablaReporte td:last-child {
        border-right: 1px #CCCCCC solid;
    }
    .tablaReporte tr {
        white-space:nowrap;
    }
	.tablaReporte tr:hover {
        text-decoration: none;
        background-position: center -68px;
        background-color: #6a8aa8;
        color: white;
    }
	.tituloListado td:first-child, .tituloListado th:first-child {
		font-weight: bold;
	}
    #tablaBuscar input[type=text] {
        width: calc(55vw - 110px);
        width: -o-calc(55vw - 110px);
        width: -webkit-calc(55vw - 110px);
        width: -moz-calc(55vw - 110px);
    }
	.tablaFiltrar select {
		width: 100%;
		max-width:400px;
	}
	.lineaAlerta {
		white-space:normal;
	}
	.lineaAlerta td {
		white-space: normal;
	}
    .tablaReporte .estadoConsumible {
        display: table-cell;
        max-width: 5px;
        min-width: 5px;
        width: 5px;
    }
}

@media only screen and (min-width: 900px) {
    #tablaBuscar input[type=text] {
        width: calc(35vw - 110px);
        width: -o-calc(35vw - 110px);
        width: -webkit-calc(35vw - 110px);
        width: -moz-calc(35vw - 110px);
    }
}

